$packageName = 'jamovi.portable'
$url64 = 'https://www.jamovi.org/downloads/jamovi-0.8.6.0-win64.zip'
$installDir = $(Split-Path -parent $MyInvocation.MyCommand.Definition)
$checksum64 = '43decb3357f993dc7e316e9e52bb7fc4fe70775c3e415f6ed31351f26f3c807c'
$checksumType64 = 'sha256'
Install-ChocolateyZipPackage -PackageName $packageName `
                             -UnzipLocation $installDir `
                             -Url64bit $url64 `
                             -Checksum64 $checksum64 `
                             -ChecksumType64 $checksumType64

$files = get-childitem $installDir -include *.exe -recurse

foreach ($file in $files) {
  if (!($file.Name.Contains("jamovi.exe"))) {
    #generate an ignore file
    New-Item "$file.ignore" -type file -force | Out-Null
  }
  else{
    New-Item "$file.gui" -type file -force | Out-Null
  }
}
